h2. 1.25
- Release

h2. 1.25i
- Start/stop button added to memory menu for operation via software (e.g. AlmemeConnect).

h2. 1.25h
- Immediate saving of the measured value memory deletion process in the configuration data. Previously, the old measured value memory status was displayed again after restarting the device without starting a new measurement.
- Added support for "download" measured value memory via Almemo Connect software.

h2. 1.25g
- Wartekringel-Flackern (z.B. Eingabe Paarungsschluessel) beseitigt.

h2. 1.25f
- I2C-Geschwindigkeit zwischen FTDI und Touchkontroller laut Angaben von Glyn reduziert um auch neuen Touchcontroller Hycon HY4614 ansprechen zu koennen.
  Reduzierte Geschwindigkeit scheint mit langsamerer SPI-Geschwindigkeit (siehe 1.25d) zum FTDI gegenueber frueheren Tests keine Probleme mehr zu machen.

h2. 1.25e
- Displaysperrfunktion

h2. 1.25d
- FTDI-Probleme durch Reduzierung der SPI-Geschwindigkeit von 4 auf 2.5Mbit scheinbar beseitigt
- Optimierungen Thread-Auslastung bzw. Zeitverhalten
- Code-Geschwindigkeitsoptimierungen u.a. Kompilierung mit Optimize-fast

h2. 1.25b
- Setzen Telegrammausgabeflags bei Uebergabe durch SUB-Telegramm
- kleinere Änderungen, wegen Watchdotimeouts

h2. 1.24
- Bug 'mehr als 300 moegliche Speicherdateien' beseitigt
- Kuerzen SEG-Ausgabe, wenn mehr als 300 Speicherdateien vorhanden (sonst Absturz)
- diverse Watchdog-Retriggeraufrufe (z.B. Setzen Speichertelegramm)
- Speicherlesen-Thread nicht mehr ueber Watchdog, sondern Timerueberwachung on Hauptthread
  
h2. 1.23
- keine Abbarbeitung weiterer Geräte-Telegramme pro Aufruf Geraeteabarbeitung in Haupthread, wenn schon viel Zeit vergangen ist -> Gefahr Watchdogausloesen reduziert
- keine Abbarbeitung weiterer Telegramme zur Ueberpruefung fuer Displayaktualisierung, wenn schon zu viel Zeit vergangen ist -> Gefahr Watchdogausloesen reduziert
- Display mit eigener Watchdogzeit statt Ueberwachung durch Monitorthread, da Displayabbarbeitung laengere Watchdogzeit benoetigt.
- Anzeige Alarmmeldung erst nach abschliessen einer Eingabe, da sonst beim Bestaetigen der Alarmeldung die Eingabea abgebrochen wird.
- Seitenwechsel in Tabellenansichten (Flickerzustand) wird bei Menuewechsel erhalten und springt somit nicht mehr bei jedem Menuewechsel auf erste Seite zurueck.
- Zusätzliche Watchdogtriggerpunkte in Masterjsonabarbeitung
- Kein direktes Schreiben von Alarmtelegrammen, sondern Zwischenbufferung mit anschließender Zeitaufteilung beim Schreiben.

h2. 1.22d
- durch 1.22b-Aenderung verursachte zu spaete Erkennung von PC-Schnittstellenbufferueberlauf beseitigt.

h2. 1.22c
- Logging auf Serielle Schnittstelle deaktiviert

h2. 1.22b
- Buffergroessen fuer PC-Schnittstelle und Displaybedienung vergroessert.
- Abarbeitung ACK von PC-Schnittstelle beschleunigt

h2. 1.22a
- kein Endloses warten bei RTC-Setzen, sondern Abbruch und Mehrfachversuche (Behebung Absturzproblem bei Uhrzeitstellen?)

h2. 1.21
- Auslieferversion

h2. 1.21a
- Problem Leere nicht mehr wegklickbare Messagebox (z.B. Zyklusanpassungsmeldung):
    Entstanden wenn Fühler sich neu Eingetragen hat und dabei der Messageboxanzeige die Messageboxdaten ungültig gemacht hat. ? Bessere Fehlerbehandlung mit automatischem Ausblenden der Box.
    Messagebox ist zwar nicht leer, bei Bestätigung durch Taste/Schließenkreuz kommt keine Timeoutmeldung, wenn Fühler nach Einblendung der Box nicht mehr aktiv ist. ? Timeout Meldung wird jetzt korrekt eingeblendet. Nach bestätigen der Timeoutmeldung wird die Box Zeitweise ausgeblendet und nach erneutem Timeout wieder aktiviert, wenn Sie durch Fühler währenddessen nicht deaktiviert wurde.
- Versteckte Zeile wird nicht mehr fälschlicherweise als deaktivierte Zeile eingeblendet.
- Tabellenanzeige (z.B. Messwertliste) springen nicht mehr auf die erste Seite zurück, nachdem eine Messagebox (z.B. Alarmmeldung) eingeblendet wurde.
- Piepser ‘kurz, kurz lang’ bei Resetausführung (nach Einschalten mit gedrückter Hotkey-Taste)
- Fehlerhafte Low-Level-Addressierung bei Retry-Paketen beseitigt. Wurde bis jetzt nicht restriktiv ausgewertet und war kein echtes Problem.
- ‘Speicherüberlauf’ beim Einlesen der Messungen von der Karte beim Gerätestart, wenn Messungsname länger als 11 Zeichen war, beseitigt. 
 
h2. 1.20
- Update Synergy von 1.3.3 auf 2.1.0
- Fehlerbehandlung in Ethernetverbindung verbessert
 
h2. 1.17
- fehlenden Watchdog aktiviert
 - automatische Json-Ausgabe fuer Deviceserver
 
h2. 1.16
- Fehler bei Eingabeerlaubnisauswertung beseitigt. Es kam bei jeder deaktivierten Eingabe die "Bei gestarter Messung..." und Elemente ohne Eingabe wurden wie Elemente mit deaktivierter Eingabe behandelt, also mit Meldung.

h2. 1.15
- War Messung gestartet und wurde eine Eingabe versucht, die bei gestarteter Messung nicht erlaubt ist, wurde der Hilfetext eingegeblendet, wenn ein Hilfetext fuer diese Zeile definiert war.
   Behoben und zusaetzlich Anzeige Meldung 'Eingabe bei gestarteter Messung nicht moeglich.' eingebaut.

h2. 1.14
- Fehler in Json fuer Alarmlisteneintrag behoben. -> Hatte in der Gerätefunktion keine Folgen. Interne dekodierung Fehlertolerant genug. Aber Json fuer externe Dekodierung (Almemo-Control) fehlerhaft.

h2. 1.13
- Neu laden der Userschriftarten (Sonderzeichen) nach Fehlerzustand mit Resetbefehl an Displaycontroller.
- Umsetzen eingebauter Fonts auf User-Handles, Erneuerung bei jedem Displayaufbau -> evtl. Fontprobleme behoben (Klötzchen....)
- Combobox "Usermenü zurücksetzen" und "Usermenü löschen" deaktiviert, wenn kein Usermenue angelegt -> keine leere Auswahl beim anklicken
- Usermenuedaten zurücksetzen vor loeschen, damit nach Neuanlegen Usermenue keine alte Einstellungen erhalten bleiben.
- Ringspeicher-Checkbox durch Ein-/Ausschalter ersetzt zur besseren Darstellung von Deaktiviert-Status bei laufender Messung.
- Franzoesische Texte im Menue Funkanalauslastung nachgebessert. Texte waren durch nicht unterstueztes Zeichen abgeschnitten.

h2. 1.12
- Fehler in kleinster Schrift (z.B. Lange Ueberschriften, Usermenue "Bitte Messstelle anwählen") beseitigt (Umlaute und Sonderzeichen gingen nicht und haben Kloetzchen oder Aehnliches erzeugt).
- Keine Menueanzeige, wenn nach Einschalten (wenn Funkteil und Fühler noch nicht bereit) mit Hotkey in Fühlerliste oder Kanalliste gewechselt wird, behoben. Fehler ging erst nach Menuewechsel wieder weg.
- Fehler in Hilfetext fuer "Fuehler paaren"/"Paarungsschluessel" in Franzoesisch beseitigt.
- Fehlenden Text Einschwingzeit in Franz., Englisch, Tschechisch eingefuegt.

h2. 1.11
- Fehler in Schrift fuer große Usermenüanzeige beseitigt.

h2. 1.04g
- Tabellen wurden (teilweise) nicht korrekt aktualisiert, wenn Menueumschaltung über Tabulator (z.B. Kanalliste, Alarmliste) -> behoben

h2. 1.04f
- JSON-GET-Abfrage optimiert, damit Telegrammspeicher besser ausgenutzt werden kann -> G[0].MEM.MTAB[].MEAS.SEG kann jetzt komplett in einem Rutsch ausgegeben werden

h2. 1.04e
- Speicher Zeitausschnitt lesen

h2. 1.04d
- Displaytiming ueberarbeitet -> evlt. weniger Probleme mit FTDI-Displaytreiber, teilweise schnellerer Bildaufbau bei Menuewechsel (mit Tabellen) mit vielen Fuehlern.
- Datenabfrage mit Flickertasten synchronisiert -> Da Spalten nacheinander gefuellt werden, waren nach Flickern "falsche/alte" Daten in den Spalten. 
   Jetzt werden Daten geloescht und nach Flicker mit Spalte 0 begonnen.
- Fehler bei Messungsname-Eingabe beseitigt (Es konnte seit 1.04a kein neuer Name mehr eingegeben werden)

h2. 1.04b
- Fehler bei Kodierung Zahlenwert (32Bit Unsigned wurde als Signed ausgewertet) in Json behoben. -> Fehler bei Auswertung AUT von Knoten.
- Speichern Hotkey in Masterjson. -> Hotkeyeinstellung auch nach Aus-/Einschalten noch verfuegbar.
- Akku-Leer-Buzzer wurde bei anstecken von Netzteil nicht deaktiviert -> behoben.

h2. 1.04a
- Bei zurueckgesetztem Masterjson werden vorhandene Messungen im Memory-Ordner erkannt und ins Masterjson eingetragen.
   Momentan wird nur der Messungsname und die Messungsgroesse wiederhergestellt. Messungen können mit Wincontrol ausgelesen werden.
   AMR-Control akzeptiert die Daten nicht, da der Konfig-Header fehlt.
- Meldung nach Stoppen einer Messung, wenn diese keine Messungen enthaelt.
- Fehler, wenn Messungsname geloescht wird beseitigt. Es war danach keine Messung mehr moeglich.
- 4 mal kurzes Piepsen jede Minute bei Low-Batt
- Wechsel in Menue vom Homebildschirm ruft immer das Grundmenue (Loeschen Eintauchtiefe) auf.
- Ausschalten ueber langen Tastendruck

h2. 1.03g
- Auswertung T als Tabelle nachgebessert -> Umwandlung Zahl in String hat vorhergehende Texteile ueberschrieben -> wurde aber bis jetzt nicht verwendet, somit kein Problem. -> Verwendung erst in Kanalauslastungspruefung

h2. 1.03f
- Fehler in Alarmlistenbearbeitung beseitigt. Masterjson wurde nicht immer korrekt freigegeben (Fehler seit 1.03e) -> Absturz Gerät wegen Hängenbleiben von Threads, die auf Masterjson zugreifen wollen.

h2. 1.03e
- TSYN-Flag-Eintraege in Alarmliste -> besseres Erkennen von Timesync-Problemen

h2. 1.03d
- Unterstuetzung fuer Jsonabfrage durch Funkfuehler (noetig fuer Fuehlerab 1.04d)

h2. 1.03c
- Fehler bei Benutzung Hotkey während geöffneter Eingabe beseitigt.

h2. 1.03b
- Fehler 'Neustart des Geraetes' bei TCP-Verbindungstörungen bzw. Abbruechen beseitigt.
- Fehler in Anzeige Grenzwertueberschreitung High/Low beseitigt (war vertauscht)
- Ausgabe falsche Seriennummer nach Masterjsonupdate behoben

h2. 1.03a
- kein Neustart der Messung bei Ringspeicher, wenn zu wenig Platz fuer mehrere Dateien.
- Fehler beseitigt, dass bei loeschen des gesamten Speichers der Speicherplatz nicht als frei gekennzeichnet wurde (es war Aus-/Einschalten noetig, ansonsten war bei vorher vollem Speicher keine Messung mehr moeglich bzw. nur Messung bis zum vorher noch freien Speicher).
- Loeschen von "alten" (nicht aktive Messung) bei laufender Messung -> Schaffen von Speicherplatz bei laufender Messung
- kein direktes Warten (Sleep) beim Loeschen von Messungen (evtl. zu lang mit Watchdogreset), sondern loeschen einer Messung pro Threaddurchlauf.
- Moeglichkeit Starten ueber direktes Beschreiben des Runstatus, statt nur toggeln mit Start-/Stoptaste (Wunsch Akrobit)
- Einstellen der Speichergroesse in Stufen (Moeglichkeit kleine Speichergroesse fuer Ringspeicher fuer Failsafe-Messung)
- Meldung bei Loeschen Auswahl in Alarmliste, wenn kein Eintrag angewaehlt
- verkleinern des Fonts, wenn String in Dropdownbox lang
- Alle Max-, Min-, Mittelwerte loeschen' Englisch gekuerzt.
- Text 'Kein Eintrag angewaehlt' statt 'Keine Messung angewaehlt' -> Verwendung auch bei Alarmliste
- Fehler 'Fehlendes Alarmlistensymbol im Tab, wenn Usermenue angewaehlt' beseitgt.

h2. 1.02
- Fehler bei Abbrechen einer Zahlen- oder Texteingabe mit Zeilenverschiebung durch Tastatur beseitigt. Bei Abbruch einer solchen Eingabe, war die komplette Bedienung zerstört, d.h. Touchfelder waren falschen Zeilen zugeordnet, Menuewechsel führten ins "Nirwana".
- Falsche Iconzuordnung bei Auswahlbox beseitigt -> Es erschienen (kaputte) Icons von vorherigen Eingaben
- Gespeicherte Daten waren teilweise nicht korrekt formatiert (Evtl. Fehler bei der Dekodierung der Daten in der Software möglich; erhöhter Speicherplatzbedarf) -> behoben. 

h2. 1.01
- Ueberlauf Ausgabebuffer bei Speicherauslesen (fehlende Speicherpakete Pakete oder sogar Fehlermeldung mit Abbruch des Speicherlesens in Almemo-Control; Wincontrol liefert keinen Fehler) beseitigt.
- Sprachauswahl (Es werden so viele Dateien zur Auswahl angeboten, wie im Ordner Languages liegen (mindestens 1, max. 5).
- Sprachdateien fuer Englisch, Französisch, Tschechisch
- Alarmliste
- Fehler in Dateigroessenberechnung bei Messungs-Restart (z.B. Aus-/Einschalten des Gerätes bei laufender Messung) beseitigt. Eine solche fehlerhafte Messung konnte unter nicht ausgelesen werden.
- Fehler bei Messungsgroessenanzeige im Ringspeicherbetrieb beseitigt (Groesse wurde immer weiter aufsummiert ohne geloeschte Teile abzuziehen)
- Messungen loeschen ueber Spaltenkopf der Messungentabelle
 
h2. 1.00
- Absturz bei Restart-TCP-Verbindung bei abgestecktem Kabel beseitigt 
- Abwahl Usermenuemessstelle korrigiert
- Speicherung Anzeigetabzustand fuer Hotkey -> Hotkey funktioniert auch mit Anzeigen die ueber Tab umgeschaltet werden.
- Falsche Einblendung Tabelleneingabe bei Nicht-Tabelleneingaben korrigiert.
- Touchindexberechnung korriegiert, wenn Tabellenelemente f. Usermenue eingeblendet.
- Bestimmung Anzahl Zeilen f. Tabellenelemente f. Usermenue korrigiert.
- Sprach-Ids fuer Auswahl korrekter Uebersetzungstext aktualisiert

h2. 0.45
- Usermenü
- Seriennummerspeicherung im EEprom
- Fehler bei Stoppen der Messung beim Speicherauslesen beseitigt.
- scharfes ß und Sonderzeichen f. Franzoesisch, Spanisch, Tschechisch
- Fehler Ringspeicheranzeige im Tab-Icon beseitigt.
- Flickertasten statt '>>' fuer mehrseitige Eingabetabs -> besseres Touchverhalten
- Eingabefeld ueber Tastatur f. direkte Eingaben in Tabellen
- Icons in Tabulator
- Unterstuetzung Eingabe Fuehler- und Kanalbezeichnung direkt in Tabellen