
[FH 1746|https://ahlborn.atlassian.net/wiki/spaces/RN/pages/159678477#FH1746]

[ZA17701IF|https://ahlborn.atlassian.net/wiki/spaces/RN/pages/159678477#ZA17701IF]

[FY17001CO2|https://ahlborn.atlassian.net/wiki/spaces/RN/pages/159678477#FY17001CO2]



h2. FH1746

h3. 1.17
- Improved time synchronisation with measuring device
- Sporadic missing measurements fixed 
- Test for sending Messages (LOG-Telgram) activated

h3. 1.16
- Release

h3. 1.16g
- When programming the measuring cycle, the output cycle is set to the same value. Subsequently, the output cycle can be programmed to a different value.
- Measuring cycle limited to a minimum of 10s.
- Save measurement data in external F-Ram, so that accumulated measurement values are protected against sudden supply voltage failure.
- Determining and logging the reset reason in order to better understand malfunctions.
- Logging of measured value flags such as 'limit value exceeded', 'sensor break', 'overrange', 'underrange' for subsequent analyses of the measured value memory.
- Fixed buffer size calculation with more than 255 accumulated measured values.
- Timeout for packet transmission increased (reduction of the possibility of double transmission of measurement packets)
- Sporadic resets in Sleepmode fixed.

h3. 1.16d
- Bei Messzyklusprogrammierung wird Ausgabezyklus auf gleichen Wert gesetzt. Nachtraeglich kann Ausgabezyklus auf anderen Wert programmiert werden.
- LOG-Telegramme fuer Measflags (Grenzwert, Fühlerbruch, Overrange, Underrange)

h3. 1.16c
- Minimaler Messzyklus 10s

h3. 1.16a
- minimales Timeout fuer Paketuebertragung von 7 auf 9s erhoeht (evtl. Vermeidung doppelter Uebertragung von Messpaketen)

h3. 1.15
- Release

h3. 1.15f
- Fehler bei doppelt eingehender Entpaarungsnachricht beseitigt.
  
h3. 1.15a
 - Fehler Sekundensprung in Zyklsusanzeige behoben (z.B. statt xx:xx:30 wurde immer mal wieder nach ca. 30min xx:xx:31 bei 30s Zykluszeit angezeigt/gespeichert).

h3. 1.14
 - Funktione CO2 inkl. Energiespareinstellungen (Abschaltung Versorgungsspannung und verzoegerter Einschaltung + Sleepdelay).
 - Auslesen Seriennummer des Sensor-Elements -> JSON-Schluessel CSN
 - Eingabe Fuehlerkommentarlaenge war faelschlicherweise auf 10 Zeichen begrenzt, jetzt 20.
 - Stop-Anzeige (wenn im Konfigmode) auch nach (Wieder-)aktivierung eines Kanals.
 - Fehler Sleepdelay nach Zurueckstellen der Uhrzeit (waehrend Sleepdelay) beseitigt. 
    -> Sleepdelay hat vorher bis Ablauf der echten Uhrzeit gewartet, d.h. es kamen solange keine Messwerte mehr. Also bei Zurueckstellen des Datums auch Tage/Jahre...

h3. 1.12
- Evtl. bleibende Radiofailed-Anzeige in Fühlerliste und Fühlerpaarenliste, wenn ein Kanal deaktiviert.

h3. 1.10
- Release Sleepy
- Verschiebung der Messwerte auf falsche Messstelle nach langem Funkausfall (Speicherüberlauf), wenn nur drei Kanäle aktiv -> behoben

h3. 1.04l
- Zeilen Ruhezeit und Abschaltzeit entfernt

h3. 1.04k
- Ueberpruefung im Flash gespeicherter Daten mit evtl. Neuinitialisierung (Bei Update von aelterer Version werden gespeicherte Max-/Minwerte gelöscht und die Sendeleistung auf Maximal gesetzt.)
- falsche Seriennummeruebermittlung bei der Anmeldung behoben (vermutlich)
- Entpaaren ueber Advertisemeldung, nur wenn nicht schon eine Entpaarung laeuft, ansonsten evtl. Fehler dass durch dauerndes Neustarten der Enpaarung, diese nicht durchgefuehrt wird.
- Bei Datenuebertragunsproblemen beim Entpaaren werden jetzt Netzwerdaten hart geloescht. Ansonsten wird entpaaren evtl. nie fertig.
- Sleepdelay ueber 65s moeglich (0...999)

h3. 1.04j
- STOP-Flag (Konfiguration) loeschen, wenn Konfigurationsmode verlassen, nicht erst mit naechstem Ausgabezyklus.
- TSYNC-Flag nach 30...60s loeschen, nicht erst mit naechstem Ausgabezyklus.
- Aufwachen aus Sleep, wenn Flags zu uebertragen sind (kuerzere Reaktion als ca. 60s)
- Messflag-Prioritaet geaendert. RADIOFAILED vor STOP jetzt vor den anderen Flags.

h3. 1.04i
- Eingabeueberpruefung auch bei Eingabe Messzyklus auf erlaubten Wert. Anzeige Meldung, wenn Eingabe bei Messzyklus- und Druckzykluseingabe automatisch korrigiert wurde.
- Problem beseitigt, dass Zeitsynkinitalisierung nur bei uebermittelten Zeiten die nach 14.02.20 funktioniert. War zur Erkennung von fehlerhaften Zeiten gedacht. Funktioniert jetzt mit Zeiten bis 1.1.00 (Resetwert A470).
   Fehlerbild war: Keine Messwerte, wenn Datenlogger geresetet war und keine neue aktuelle Uhrzeit eingegeben war.
- Zeitsynchronisationsansprechverhalten verbessert.
- Kein Neusetzen der Uhrzeit bei Wiederverbinung (Kein TSYN-Flag bei Wiederverbindung, wenn Zeit noch stimmt)
- Kein Auswerten eines kurzen Drucks auf die Powertaste waehrend der Paarungsanzeige

h3. 1.04h
- Thread-Downgrade zurueck auf 2.9.5.0 -> Neues Thread im Funkausfall-Verhalten schlechter

h3. 1.04e
- Während Warten auf Antwort fuer MAC- und V-Abfrage kein Wechseln in Sleep
- korrekte Reaktion, wenn keine Antwort auf Anfrage kommt

h3. 1.04d
- Verbesserung Zeitgenauigkeit (weniger Timesync-Fehler)
- keine komplette Neuinitialisierung des Fuehlers und der Kanaele nach (kurzen) Funkausfaellen (weniger/keine INIT-Meldungen).
   Es wird MAC- (Uebertragung Hardwareadresse als letzten Initialisierungsschritt) und V-Eintrag (Version) in Datenlogger abgefragt. 
   Bei Uebereinstimmung werden nicht komplette Initialisierungsdaten gesendet.
- Verbesserung Tastenabfrage zum Aufwecken aus Sleep
- Kodierung fuer Meshviewer zur Erkennung von Sleepy-Fuehlern

h3. 1.04c
- Möglichkeit Fühler auf Stromsparenden Funkbetrieb umzuschalten (keine Funkweiterleitung aber geringerer Stromverbrauch)

h3. 1.04a
- Update auf THREAD-Version 2.10.5.0

h3. 1.03
- sichere Zyklusunabhängige Messwertausgabe (mit Flags) nach dem Erstverbinden (Vorher unter Umständen im INIT-Mode bis zum ersten Zyklus).
- Sofortiges starten einer zyklusunabhängigen Ausgabe bei Timeout bei der Messung (z.B. D7-Stecker abziehen)
- Synchronisation des Ausgabezyklus auf den Messzyklus (Vorher unter Umstaenden Ausgabe des Messwerts in der Mitte oder kurz vor neuem Messzyklus -> Anzeige im Gerät Verzögert)

h3. 1.02
- Softwarereset des Sensors vor jeder Messung (evtl. Problembeseitigung Fehlerhafte Messwerte)

h3. 1.01
- Eingabe Messzyklus 00:00:00 verhindert -> wird auf 00:00:01 erhöht
- Spaltenaufteilung in Messkanäle-Tabelle fuer auslaendische Texte angepasst. 

h3. 1.00
- Sprach-Ids fuer Auswahl korrekter Uebersetzungstext aktualisiert

h3. 0.39
- Eingabe Kanalbezeichnung direkt in Messkanaele-Tabelle
- Standarzyklus 10s
- Anzeige U-Sensor auch in Fuehlerliste


h2. ZA17701IF

h3. 1.17
- Improved time synchronisation with measuring device
- Sporadic missing measurements fixed 
- missing logging of 'sensor communication timeout' added
- Test for sending Messages (LOG-Telgram) activated

h3 1.16g
- When programming the measuring cycle, the output cycle is set to the same value. Subsequently, the output cycle can be programmed to a different value.
- Measuring cycle limited to a minimum of 10s.
- Save measurement data in external F-Ram, so that accumulated measurement values are protected against sudden supply voltage failure.
- Determining and logging the reset reason in order to better understand malfunctions.
- Logging of measured value flags such as 'limit value exceeded', 'sensor break', 'overrange', 'underrange' for subsequent analyses of the measured value memory.
- Fixed buffer size calculation with more than 255 accumulated measured values.
- Timeout for packet transmission increased (reduction of the possibility of double transmission of measurement packets)

h3. 1.15
- Release

h3. 1.15g
- Meldung, wenn Messzyklus kleiner als Einschwingzeit eingegeben wurde.

h3. 1.15f
- Fehler bei doppelt eingehender Entpaarungsnachricht beseitigt.

h3. 1.15e
- Warmlaufzeitverlängerungsautomatik entfernt -> hat bis max. 10s ohne Rücksicht auf Zyklus verlängert, wenn Fehler bei D6,D7 Messwertabfrage aufgetreten ist.
- zusätzliche Ueberwachung/Begrenzung des Eingabewertes fuer Warmlaufzeit, falls Eingabesoftware vorgegebene Grenzwerte nicht beachtet.
- Ueberwachung und Datenaktualsierung des Wertes fuer Warmlaufzeit beim Einschalten ueberarbeitet
  
h3. 1.15d
- 32-Bit Variablenüberlauf bei Skalierwerteinberechnung behoben
- korrekte Erkennung, ob Korrekturwerte auch wirklich aktiviert sind  
 
h3. 1.15c
 - Eingabebegrenzung max. Warmlaufzeit auf Messzyklus - 1s, da die eingabaute automatische Zykluskorrektur (Messzyklus + Uhrzeit Zeitschritt) sonst im Nicht-Sleepyfühler zu einem zu kurzen Zyklusabstand führt, der zu 'beliebigen' Zeitstempeln führt.
 - Verringerung der minimal einstellbaren Warmlaufzeit auf 1s statt 2s, wie beim CO2.
 - Ausblenden Warmlaufzeit, wenn Fühlerversorgung auf dauerhaft ein.
 
h3. 1.15b
 - Berücksichtigung einer evtl. Skalierung inkl. Exponent mit Kommaverschiebung, damit Messwerte mit richtiger Kommastelle angezeigt werden und Grenzwerteingaben nicht mit falschen Bereichsbegrenzungen begrenzt werden.

h3. 1.15a
 - Fehler Sekundensprung in Zyklsusanzeige behoben (z.B. statt xx:xx:30 wurde immer mal wieder nach ca. 30min xx:xx:31 bei 30s Zykluszeit angezeigt/gespeichert).

h3. 1.14
 - Funktione CO2 inkl. Energiespareinstellungen (Abschaltung Versorgungsspannung und verzoegerter Einschaltung + Sleepdelay).
 - Auslesen Seriennummer des Steckers -> JSON-Schluessel CSN
 - Eingabe Fuehlerkommentarlaenge war faelschlicherweise auf 10 Zeichen begrenzt, jetzt 20.
 - Stop-Anzeige (wenn im Konfigmode) auch nach (Wieder-)aktivierung eines Kanals.
 - Fehler Sleepdelay nach Zurueckstellen der Uhrzeit (waehrend Sleepdelay) beseitigt. 
    -> Sleepdelay hat vorher bis Ablauf der echten Uhrzeit gewartet, d.h. es kamen solange keine Messwerte mehr. Also bei Zurueckstellen des Datums auch Tage/Jahre...

h3. 1.12
- Unterstuetzung fuer Ubat-Bereich bei D6 (wurde vorher mit Fühlerbruch angezeigt, da Dekodierung über P64 bei D6 nicht möglich)

h3. 1.11
- Evtl. bleibende Radiofailed-Anzeige in Fühlerliste und Fühlerpaarenliste, wenn ein Kanal deaktiviert.

h3. 1.10
- Release Sleepy

h3. 1.04m
- Zeilen Ruhezeit und Abschaltzeit entfernt

h3. 1.04l
- Ueberpruefung im Flash gespeicherter Daten mit evtl. Neuinitialisierung (Bei Update von aelterer Version werden gespeicherte Max-/Minwerte gelöscht und die Sendeleistung auf Maximal gesetzt.)
- falsche Seriennummeruebermittlung bei der Anmeldung behoben (vermutlich)
- Entpaaren ueber Advertisemeldung, nur wenn nicht schon eine Entpaarung laeuft, ansonsten evtl. Fehler dass durch dauerndes Neustarten der Enpaarung, diese nicht durchgefuehrt wird.
- Bei Datenuebertragunsproblemen beim Entpaaren werden jetzt Netzwerdaten hart geloescht. Ansonsten wird entpaaren evtl. nie fertig.
- Sleepdelay ueber 65s moeglich (0...999)

h3. 1.04k
- STOP-Flag (Konfiguration) loeschen, wenn Konfigurationsmode verlassen, nicht erst mit naechstem Ausgabezyklus.
- TSYNC-Flag nach 30...60s loeschen, nicht erst mit naechstem Ausgabezyklus.
- Aufwachen aus Sleep, wenn Flags zu uebertragen sind (kuerzere Reaktion als ca. 60s)
- Messflag-Prioritaet geaendert. RADIOFAILED vor STOP jetzt vor den anderen Flags.

h3. 1.04j
- Eingabeueberpruefung auch bei Eingabe Messzyklus auf erlaubten Wert. Anzeige Meldung, wenn Eingabe bei Messzyklus- und Druckzykluseingabe automatisch korrigiert wurde.
- Problem beseitigt, dass Zeitsynkinitalisierung nur bei uebermittelten Zeiten die nach 14.02.20 funktioniert. War zur Erkennung von fehlerhaften Zeiten gedacht. Funktioniert jetzt mit Zeiten bis 1.1.00 (Resetwert A470).
   Fehlerbild war: Keine Messwerte, wenn Datenlogger geresetet war und keine neue aktuelle Uhrzeit eingegeben war.
- Zeitsynchronisationsansprechverhalten verbessert.
- Kein Neusetzen der Uhrzeit bei Wiederverbinung (Kein TSYN-Flag bei Wiederverbindung, wenn Zeit noch stimmt)
- Kein Auswerten eines kurzen Drucks auf die Powertaste waehrend der Paarungsanzeige

h3. 1.04i
- Fehler bei Zyklusbestimmung mit Warmlaufzeit beseitigt. -> Fehler war wandernder ungerader Zyklus

h3. 1.04h
- Thread-Downgrade zurueck auf 2.9.5.0 -> Neues Thread im Funkausfall-Verhalten schlechter
- Im D7-Fuehler (Interface) Wartezeit auf Fuehler-I2C-Bereitschaft nach Einschalten Fuehler nach Sleep von 100ms auf 500ms Sekunden erhoeht, da manche Stecker laenger zum 'Aufwachen' brauchen.

h3. 1.04e
- Während Warten auf Antwort fuer MAC- und V-Abfrage kein Wechseln in Sleep
- korrekte Reaktion, wenn keine Antwort auf Anfrage kommt

h3. 1.04d
- Verbesserung Zeitgenauigkeit (weniger Timesync-Fehler)
- keine komplette Neuinitialisierung des Fuehlers und der Kanaele nach (kurzen) Funkausfaellen (weniger/keine INIT-Meldungen).
   Es wird MAC- (Uebertragung Hardwareadresse als letzten Initialisierungsschritt) und V-Eintrag (Version) in Datenlogger abgefragt. 
   Bei Uebereinstimmung werden nicht komplette Initialisierungsdaten gesendet.
- 'Automatische Sensorabschaltung' zu 'Fuehlerversorgung dauerhaft' geaendert
- Verbesserung Tastenabfrage zum Aufwecken aus Sleep
- Kodierung fuer Meshviewer zur Erkennung von Sleepy-Fuehlern

h3. 1.04c
- Möglichkeit Fühler auf Stromsparenden Funkbetrieb umzuschalten (keine Funkweiterleitung aber geringerer Stromverbrauch)
- Möglichkeit im D7-Sensor die Sensorspannung zwischen den Messungen abzuschalten

h3. 1.04a
- Update auf THREAD-Version 2.10.5.0

h3. 1.03
- sichere Zyklusunabhängige Messwertausgabe (mit Flags) nach dem Erstverbinden (Vorher unter Umständen im INIT-Mode bis zum ersten Zyklus).
- Sofortiges starten einer zyklusunabhängigen Ausgabe bei Timeout bei der Messung (z.B. D7-Stecker abziehen)
- Synchronisation des Ausgabezyklus auf den Messzyklus (Vorher unter Umstaenden Ausgabe des Messwerts in der Mitte oder kurz vor neuem Messzyklus -> Anzeige im Gerät Verzögert)

h3. 1.02
- Eingabe Messzyklus 00:00:00 verhindert -> wird auf 00:00:01 erhöht
- Spaltenaufteilung in Messkanäle-Tabelle fuer auslaendische Texte angepasst. 

h3. 1.01
- Fehler "dauernder Neustart", wenn alle Kanäle deaktiviert sind, beseitigt.

h3. 1.00
- Sprach-Ids fuer Auswahl korrekter Uebersetzungstext aktualisiert

h3. 0.30
- Eingabe Kanalbezeichnung direkt in Messkanaele-Tabelle
- Standarzyklus 10s
- Anzeige U-Sensor auch in Fuehlerliste


h2. FY17001CO2

h3. 1.17
- Improved time synchronisation with measuring device
- Sporadic missing measurements fixed 
- Test for sending Messages (LOG-Telgram) activated

h3 1.16g
- When programming the measuring cycle, the output cycle is set to the same value. Subsequently, the output cycle can be programmed to a different value.
- Measuring cycle limited to a minimum of 10s.
- Save measurement data in external F-Ram, so that accumulated measurement values are protected against sudden supply voltage failure.
- Determining and logging the reset reason in order to better understand malfunctions.
- Logging of measured value flags such as 'limit value exceeded', 'sensor break', 'overrange', 'underrange' for subsequent analyses of the measured value memory.
- Fixed buffer size calculation with more than 255 accumulated measured values.
- Timeout for packet transmission increased (reduction of the possibility of double transmission of measurement packets)
- Standard measuring cycle increased from 30s to 60s

h3. 1.15
- Release

h3. 1.15g
- Meldung, wenn Messzyklus kleiner als Einschwingzeit eingegeben wurde.
  
h3. 1.15f
- Fehler bei doppelt eingehender Entpaarungsnachricht beseitigt.

h3. 1.15e
- zusätzliche Ueberwachung/Begrenzung des Eingabewertes fuer Warmlaufzeit, falls Eingabesoftware vorgegebene Grenzwerte nicht beachtet.
- Ueberwachung und Datenaktualsierung des Wertes fuer Warmlaufzeit beim Einschalten ueberarbeitet
  
h3. 1.15c
 - Eingabebegrenzung max. Warmlaufzeit auf Messzyklus - 1s, da die eingabaute automatische Zykluskorrektur (Messzyklus + Uhrzeit Zeitschritt) sonst im Nicht-Sleepyfühler zu einem zu kurzen Zyklusabstand führt, der zu 'beliebigen' Zeitstempeln führt.
 - Ausblenden Warmlaufzeit, wenn Fühlerversorgung auf dauerhaft ein.
 
h3. 1.15a
 - Fehler Sekundensprung in Zyklsusanzeige behoben (z.B. statt xx:xx:30 wurde immer mal wieder nach ca. 30min xx:xx:31 bei 30s Zykluszeit angezeigt/gespeichert).

h3. 1.14
 - Funktion CO2 inkl. Energiespareinstellungen (Abschaltung Versorgungsspannung und verzoegerter Einschaltung + Sleepdelay).
 - Auslesen Seriennummer des Sensor-Elements -> JSON-Schluessel CSN
 - Eingabe Fuehlerkommentarlaenge war faelschlicherweise auf 10 Zeichen begrenzt, jetzt 20.
 - Stop-Anzeige (wenn im Konfigmode) auch nach (Wieder-)aktivierung eines Kanals.
 - Fehler Sleepdelay nach Zurueckstellen der Uhrzeit (waehrend Sleepdelay) beseitigt. 
    -> Sleepdelay hat vorher bis Ablauf der echten Uhrzeit gewartet, d.h. es kamen solange keine Messwerte mehr. Also bei Zurueckstellen des Datums auch Tage/Jahre...

